com.samsung.multiscreen

## Enum Player.RepeatMode

- java.lang.Object
- - java.lang.Enum<Player.RepeatMode>
  - - com.samsung.multiscreen.Player.RepeatMode

- All Implemented Interfaces:
    Serializable, Comparable<Player.RepeatMode>
  Enclosing class:
    Player

      public static enum Player.RepeatMode
      extends Enum<Player.RepeatMode>

  Defines all possible values for Repeat. repeatOff ~ repeat is OFF. repeatSingle ~ single repeat is ON. repeatAll ~ all repeat is ON.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `repeatAll`
    `repeatOff`
    `repeatSingle`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Player.RepeatMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Player.RepeatMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### repeatOff

          public static final Player.RepeatMode repeatOff

    - #### repeatSingle

          public static final Player.RepeatMode repeatSingle

    - #### repeatAll

          public static final Player.RepeatMode repeatAll

  - ### Method Detail

    - #### values

          public static Player.RepeatMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Player.RepeatMode c : Player.RepeatMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Player.RepeatMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null